Bug 484295 - F11 alpha boots ugly (after install) on xen paravirt
F11 alpha boots ugly (after install) on xen paravirt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-02-05 17:28 EST by Mike McGrath
Modified: 2009-02-25 08:19 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 05:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2009-02-05 17:28:10 EST
I just tried to build F11 alpha on a xen box.  RHEL 5.3.  It installs fine but after the reboot I get this:

disabling swap...
        /dev/mapper/vg_asterisk2-lv_swap
unmounting filesystems...               
        /mnt/runtime done               
        disabling /dev/loop0 LOOP_CLR_FD failed: 16
        /proc done                                 
        /dev/pts done                              
        /sys done                                  
        /selinux done                              
        /mnt/sysimage/boot done                    
        /mnt/sysimage/sys done                     
        /mnt/sysimage/proc done                    
        /mnt/sysimage/selinux done                 
        /mnt/sysimage/dev done                     
        /mnt/sysimage done                         
sending termination signals...done                 
------------[ cut here ]------------               
kernel BUG at mm/filemap.c:123!                    
invalid opcode: 0000 [#1] SMP DEBUG_PAGEALLOC      
last sysfs file: /sys/devices/vbd-51712/block/xvda/xvda2/dev
CPU 0                                                       
Modules linked in: ipv6 xts lrw gf128mul sha256_generic cbc dm_crypt dm_round_robin dm_multipath btrfs zlib_deflate libcrc32c xfs exportfs jfs reiserfs gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront iscsi_ibft iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ext2 ext4 jbd2 crc16 squashfs pcspkr nfs lockd nfs_acl auth_rpcgss sunrpc vfat fat cramfs  
Pid: 975, comm: sh Tainted: G    B   W  2.6.29-0.66.rc3.fc11.x86_64 #1                                                                                                                                         
RIP: e030:[<ffffffff810a8b9e>]  [<ffffffff810a8b9e>] __remove_from_page_cache+0x40/0xde                                                                                                                        
RSP: e02b:ffff88007081f928  EFLAGS: 00010002                                                                                                                                                                   
RAX: 000000000000000d RBX: ffffe20002e9b900 RCX: 0000000000000005                                                                                                                                              
RDX: ffff88000000ac48 RSI: fffffffffffffff0 RDI: ffff880000009700                                                                                                                                              
RBP: ffff88007081f938 R08: 0000000000000009 R09: ffff88007fc010c8                                                                                                                                              
R10: ffffffff81087cc0 R11: ffff88007fa0b328 R12: ffff88007ba2d160                                                                                                                                              
R13: 000000000000003a R14: 0000000000000002 R15: ffff88007081f9e8                                                                                                                                              
FS:  00007f0a1576d6f0(0000) GS:ffffffff81934000(0000) knlGS:0000000000000000                                                                                                                                   
CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b                                                                                                                                                              
CR2: 00007f6308fd5580 CR3: 0000000001001000 CR4: 0000000000000660                                                                                                                                              
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000                                                                                                                                              
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000                                                                                                                                              
Process sh (pid: 975, threadinfo ffff88007081e000, task ffff880070dda390)                                                                                                                                      
Stack:                                                                                                                                                                                                         
 ffff88007ba2d178 ffffe20002e9b900 ffff88007081f958 ffffffff810a8c67                                                                                                                                           
 ffffe20002e9b900 000000000000003a ffff88007081f978 ffffffff810b0b27                                                                                                                                           
 0000000000000002 ffffe20002e9b900 ffff88007081fa78 ffffffff810b0c2b                                                                                                                                           
Call Trace:                                                                                                                                                                                                    
 [<ffffffff810a8c67>] remove_from_page_cache+0x2b/0x38                                                                                                                                                         
 [<ffffffff810b0b27>] truncate_complete_page+0x4c/0x61                                                                                                                                                         
 [<ffffffff810b0c2b>] truncate_inode_pages_range+0xef/0x36e                                                                                                                                                    
 [<ffffffff810b0eb7>] truncate_inode_pages+0xd/0x12                                                                                                                                                            
 [<ffffffff810f0937>] dispose_list+0x3b/0xf8                                                                                                                                                                   
 [<ffffffff810f0ce1>] invalidate_inodes+0xdc/0xfa                                                                                                                                                              
 [<ffffffff810e0dea>] generic_shutdown_super+0x4a/0xe8                                                                                                                                                         
 [<ffffffff810e0eaa>] kill_block_super+0x22/0x3a                                                                                                                                                               
 [<ffffffff810e0f91>] deactivate_super+0x68/0x7d                                                                                                                                                               
 [<ffffffff810f3f6d>] mntput_no_expire+0x10d/0x14e                                                                                                                                                             
 [<ffffffff810dfd22>] __fput+0x18a/0x197                                                                                                                                                                       
 [<ffffffff810dfd47>] fput+0x18/0x1a                                                                                                                                                                           
 [<ffffffff810c0ae1>] remove_vma+0x4f/0x85                                                                                                                                                                     
 [<ffffffff810c0c32>] exit_mmap+0x11b/0x13d                                                                                                                                                                    
 [<ffffffff8104800f>] mmput+0x45/0xa4                                                                                                                                                                          
 [<ffffffff8104bf97>] exit_mm+0x114/0x120                                                                                                                                                                      
 [<ffffffff8104dc12>] do_exit+0x1da/0x8b4                                                                                                                                                                      
 [<ffffffff8106ef5b>] ? lock_acquired+0x29e/0x2ae                                                                                                                                                              
 [<ffffffff81057ef5>] ? get_signal_to_deliver+0x61/0x2b8                                                                                                                                                       
 [<ffffffff8104e36b>] do_group_exit+0x7f/0xaf                                                                                                                                                                  
 [<ffffffff81383349>] ? _spin_unlock_irq+0x32/0x37                                                                                                                                                             
 [<ffffffff8105812e>] get_signal_to_deliver+0x29a/0x2b8                                                                                                                                                        
 [<ffffffff81010498>] do_notify_resume+0x90/0x8a4                                                                                                                                                              
 [<ffffffff8138338e>] ? _spin_unlock_irqrestore+0x40/0x57                                                                                                                                                      
 [<ffffffff8106c6a7>] ? trace_hardirqs_off_caller+0x1f/0xac                                                                                                                                                    
 [<ffffffff81383395>] ? _spin_unlock_irqrestore+0x47/0x57                                                                                                                                                      
 [<ffffffff8106d609>] ? trace_hardirqs_on_caller+0x1f/0x153                                                                                                                                                    
 [<ffffffff81209bc7>] ? tty_ldisc_deref+0x69/0x6e                                                                                                                                                              
 [<ffffffff81202b5c>] ? tty_read+0x87/0xba                                                                                                                                                                     
 [<ffffffff81011381>] ? sysret_signal+0x5/0x109                                                                                                                                                                
 [<ffffffff8106d609>] ? trace_hardirqs_on_caller+0x1f/0x153                                                                                                                                                    
 [<ffffffff81011417>] sysret_signal+0x9b/0x109                                                                                                                                                                 
Code: 24 08 e8 3a ad 0e 00 48 c7 43 18 00 00 00 00 49 ff 8c 24 c8 00 00 00 be 09 00 00 00 48 89 df e8 e9 f3 00 00 8b 43 0c 85 c0 78 04 <0f> 0b eb fe 48 89 df e8 b7 35 03 00 f6 03 10 0f 84 84 00 00 00        
RIP  [<ffffffff810a8b9e>] __remove_from_page_cache+0x40/0xde                                                                                                                                                   
 RSP <ffff88007081f928>                                                                                                                                                                                        
---[ end trace 4eaa2a86a8e2da24 ]---                                                                                                                                                                           
------------[ cut here ]------------                                                                                                                                                                           
WARNING: at kernel/exit.c:1010 do_exit+0x47/0x8b4() (Tainted: G    B D W )                                                                                                                                     
Modules linked in: ipv6 xts lrw gf128mul sha256_generic cbc dm_crypt dm_round_robin dm_multipath btrfs zlib_deflate libcrc32c xfs exportfs jfs reiserfs gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront iscsi_ibft iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ext2 ext4 jbd2 crc16 squashfs pcspkr nfs lockd nfs_acl auth_rpcgss sunrpc vfat fat cramfs  
Pid: 975, comm: sh Tainted: G    B D W  2.6.29-0.66.rc3.fc11.x86_64 #1                                                                                                                                         
Call Trace:                                                                                                                                                                                                    
 [<ffffffff8104a5c1>] warn_slowpath+0xb9/0xfe                                                                                                                                                                  
 [<ffffffff8138338e>] ? _spin_unlock_irqrestore+0x40/0x57                                                                                                                                                      
 [<ffffffff8106c6a7>] ? trace_hardirqs_off_caller+0x1f/0xac                                                                                                                                                    
 [<ffffffff8138338e>] ? _spin_unlock_irqrestore+0x40/0x57                                                                                                                                                      
 [<ffffffff8106c6a7>] ? trace_hardirqs_off_caller+0x1f/0xac                                                                                                                                                    
 [<ffffffff8106c741>] ? trace_hardirqs_off+0xd/0xf                                                                                                                                                             
 [<ffffffff8104ab4f>] ? release_console_sem+0x1c5/0x1fa                                                                                                                                                        
 [<ffffffff8104b128>] ? vprintk+0x36c/0x399                                                                                                                                                                    
 [<ffffffff810sending kill signals...done                                                                                                                                                                      
rebooting system                                                                                                                                                                                               
md: stopping all md devices.                                                                                                                                                                                   
Restarting system.                                                                                                                                                                                             

Guest installation complete... restarting guest.
PCI: Fatal: No config space access function found
IO APIC resources could be not be allocated.     
swap_dup: Bad swap file entry 80000000003f0190   
swap_dup: Bad swap file entry 80000000003f3e90   
swap_dup: Bad swap file entry 80000000003f2278   
swap_dup: Bad swap file entry 80000000003f21c8   
swap_dup: Bad swap file entry 80000000003f0820   
swap_dup: Bad swap file entry 80000000003f3ca0   
swap_dup: Bad swap file entry 80000000003f3db0   
swap_dup: Bad swap file entry 80000000003f0b20   
swap_dup: Bad swap file entry 80000000003f2de0   
swap_dup: Bad swap file entry 80000000003f0190   
swap_dup: Bad swap file entry 80000000003f3e90   
swap_dup: Bad swap file entry 80000000003f2278   
swap_dup: Bad swap file entry 80000000003f21c8   
swap_dup: Bad swap file entry 80000000003f0820   
swap_dup: Bad swap file entry 80000000003f3ca0   
swap_dup: Bad swap file entry 80000000003f3db0   
swap_dup: Bad swap file entry 80000000003f0b20   
swap_dup: Bad swap file entry 80000000003f2de0   
swap_free: Bad swap file entry 80000000003f0190  
BUG: Bad page map in process lvm  pte:7e032020 pmd:7d898067
addr:0000000000147000 vm_flags:08000070 anon_vma:(null) mapping:ffff88007f86fc58 index:37
vma->vm_ops->fault: filemap_fault+0x0/0x331                                              
vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x55                                     
swap_free: Bad swap file entry 80000000003f3e90                                          
BUG: Bad page map in process lvm  pte:7e7d2020 pmd:7d878067                              
addr:0000000000702000 vm_flags:08000070 anon_vma:(null) mapping:ffff88007f86f2a8 index:16
vma->vm_ops->fault: filemap_fault+0x0/0x331                                              
vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x55                                     
swap_free: Bad swap file entry 80000000003f2278                                          
BUG: Bad page map in process lvm  pte:7e44f020 pmd:7d89a067                              
addr:00000000009a1000 vm_flags:08000070 anon_vma:(null) mapping:ffff88007f867780 index:8 
vma->vm_ops->fault: filemap_fault+0x0/0x331                                              
vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x55                                     
swap_free: Bad swap file entry 80000000003f21c8                                          
BUG: Bad page map in process lvm  pte:7e439020 pmd:7d861067                              
addr:0000000000f10000 vm_flags:08000070 anon_vma:(null) mapping:ffff88007f866dd0 index:1b
vma->vm_ops->fault: filemap_fault+0x0/0x331                                              
vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x55                                     
swap_free: Bad swap file entry 80000000003f0820                                          
BUG: Bad page map in process lvm  pte:7e104020 pmd:7d897067                              
addr:0000000002aa8000 vm_flags:08000070 anon_vma:(null) mapping:ffff88007f8732a8 index:17
vma->vm_ops->fault: filemap_fault+0x0/0x331                                              
vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x55                                     
swap_free: Bad swap file entry 80000000003f3ca0                                          
BUG: Bad page map in process lvm  pte:7e794020 pmd:7d880067                              
addr:00         Welcome to Fedora                                                        
                Press 'I' to enter interactive startup.                                  
------------[ cut here ]------------                                                     
kernel BUG at mm/filemap.c:123!                                                          
invalid opcode: 0000 [#1] SMP DEBUG_PAGEALLOC                                            
last sysfs file: /sys/devices/vbd-51712/block/xvda/xvda2/dev                             
CPU 0                                                                                    
Modules linked in: xen_blkfront ext4 jbd2 crc16                                          
Pid: 567, comm: nash-hotplug Tainted: G    B   W  2.6.29-0.66.rc3.fc11.x86_64 #1         
RIP: e030:[<ffffffff810a8b9e>]  [<ffffffff810a8b9e>] __remove_from_page_cache+0x40/0xde  
RSP: e02b:ffff88007de739b8  EFLAGS: 00010046                                             
RAX: 0000000000000000 RBX: ffffe200033621f0 RCX: ffff88007f869a0a                        
RDX: 00000000fffffffc RSI: 0000000000000009 RDI: ffff880000009700                        
RBP: ffff88007de739c8 R08: 0000000000000009 R09: ffff88007fc010c8                        
R10: ffffffff81087cc0 R11: ffff88007f869ce8 R12: ffff88007f86e420                        
R13: 000000000000001d R14: 0000000000000001 R15: ffff88007de73a70                        
FS:  00007ffe2a79b7e0(0000) GS:ffffffff81934000(0000) knlGS:0000000000000000             
CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b                                        
CR2: 00007fa1820a1315 CR3: 0000000001001000 CR4: 0000000000000660                        
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000                        
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000                        
Process nash-hotplug (pid: 567, threadinfo ffff88007de72000, task ffff88007dd74720)      
Stack:                                                                                   
 ffff88007f86e438 ffffe200033621f0 ffff88007de739e8 ffffffff810a8c67                     
 ffffe200033621f0 000000000000001d ffff88007de73a08 ffffffff810b0b27                     
 0000000000000001 ffffe200033621f0 ffff88007de73b08 ffffffff810b0c2b                     
Call Trace:                                                                              
 [<ffffffff810a8c67>] remove_from_page_cache+0x2b/0x38                                   
 [<ffffffff810b0b27>] truncate_complete_page+0x4c/0x61                                   
 [<ffffffff810b0c2b>] truncate_inode_pages_range+0xef/0x36e                              
 [<ffffffff8102ad8c>] ? pvclock_clocksource_read+0x42/0x7e                               
 [<ffffffff810b0eb7>] truncate_inode_pages+0xd/0x12                                      
 [<ffffffff810f0ddb>] generic_delete_inode+0xdc/0x165                                    
 [<ffffffff810f0022>] iput+0x61/0x65                                                     
 [<ffffffff810ed41e>] dentry_iput+0xa9/0xc1                                              
 [<ffffffff810ed4ff>] d_kill+0x24/0x45                                                   
 [<ffffffff810ef2ca>] dput+0x137/0x144                                                   
 [<ffffffff810dfd0a>] __fput+0x172/0x197                                                 
 [<ffffffff810dfd47>] fput+0x18/0x1a                                                     
 [<ffffffff810c0ae1>] remove_vma+0x4f/0x85                                               
 [<ffffffff810c0c32>] exit_mmap+0x11b/0x13d                                              
 [<ffffffff8104800f>] mmput+0x45/0xa4                                                    
 [<ffffffff8104bf97>] exit_mm+0x114/0x120                                                
 [<ffffffff8104dc12>] do_exit+0x1da/0x8b4                                                
 [<ffffffff8106ef5b>] ? lock_acquired+0x29e/0x2ae                                        
 [<ffffffff81057ef5>] ? get_signal_to_deliver+0x61/0x2b8                                 
 [<ffffffff8104e36b>] do_group_exit+0x7f/0xaf                                            
 [<ffffffff81383349>] ? _spin_unlock_irq+0x32/0x37                                       
 [<ffffffff8105812e>] get_signal_to_deliver+0x29a/0x2b8                                  
 [<ffffffff81010498>] do_notify_resume+0x90/0x8a4                                        
 [<ffffffff81383349>] ? _spin_unlock_irq+0x32/0x37                                       
 [<ffffffff8106d74a>] ? trace_hardirqs_on+0xd/0xf                                        
 [<ffffffff81046c95>] ? finish_task_switch+0x5f/0xf6                                     
 [<ffffffff81046c36>] ? finish_task_switch+0x0/0xf6                                      
 [<ffffffff813811bf>] ? thread_return+0x3d/0xcb                                          
 [<ffffffff81011f3e>] ? restore_args+0x0/0x30                                            
 [<ffffffff8106c6a7>] ? trace_hardirqs_off_caller+0x1f/0xac                              
 [<ffffffff81011fff>] ? retint_signal+0x11/0xc2                                          
 [<ffffffff8106d609>] ? trace_hardirqs_on_caller+0x1f/0x153                              
 [<ffffffff81012053>] retint_signal+0x65/0xc2                                            
Code: 24 08 e8 3a ad 0e 00 48 c7 43 18 00 00 00 00 49 ff 8c 24 c8 00 00 00 be 09 00 00 00 48 89 df e8 e9 f3 00 00 8b 43 0c 85 c0 78 04 <0f> 0b eb fe 48 89 df e8 b7 35 03 00 f6 03 10 0f 84 84 00 00 00 
RIP  [<ffffffff810a8b9e>] __remove_from_page_cache+0x40/0xde                                                                                                                                            
 RSP <ffff88007de739b8>                                                                                                                                                                                 
---[ end trace 4eaa2a86a8e2da24 ]---                                                                                                                                                                    
Fixing recursive fault but reboot is needed!                                                                                                                                                            
Starting udev: udev: starting version 137                                                                                                                                                               
input: PC Speaker as /devices/platform/pcspkr/input/input1                                                                                                                                              
Initialising Xen virtual ethernet driver.                                                                                                                                                               
[  OK  ]                                                                                                                                                                                                
Setting hostname asterisk2.fedoraproject.org:  [  OK  ]                                                                                                                                                 
Setting up Logical Volume Management:   2 logical volume(s) in volume group "vg_asterisk2" now active                                                                                                   
[  OK  ]                                                                                                                                                                                                
Checking filesystems                                                                                                                                                                                    
Checking all file systems.                                                                                                                                                                              
[/sbin/fsck.ext4 (1) -- /] fsck.ext4 -a /dev/vg_asterisk2/lv_root                                                                                                                                       
/dev/vg_asterisk2/lv_root: clean, 18682/707136 files, 203250/2826240 blocks                                                                                                                             
[/sbin/fsck.ext3 (1) -- /boot] fsck.ext3 -a /dev/xvda1                                                                                                                                                  
/boot: clean, 36/50200 files, 20211/200780 blocks                                                                                                                                                       
[  OK  ]                                                                                                                                                                                                
Remounting root filesystem in read-write mode:  EXT4 FS on dm-0, internal journal on dm-0:8                                                                                                             
[  OK  ]                                                                                                                                                                                                
Mounting local filesystems:  kjournald starting.  Commit interval 5 seconds                                                                                                                             
EXT3 FS on xvda1, internal journal                                                                                                                                                                      
EXT3-fs: mounted filesystem with ordered data mode.                                                                                                                                                     
SELinux: initialized (dev xvda1, type ext3), uses xattr                                                                                                                                                 
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs                                                                                                                                      
[  OK  ]                                                                                                                                                                                                
Enabling /etc/fstab swaps:  swap_cgroup: uses 16256 bytes of vmalloc for pointer array space and 8323072 bytes to hold mem_cgroup pointers on swap                                                      
swap_cgroup can be disabled by noswapaccount boot option.                                                                                                                                               
Adding 4161528k swap on /dev/mapper/vg_asterisk2-lv_swap.  Priority:-1 extents:1 across:4161528k                                                                                                        
[  OK  ]                                                                                                                                                                                                
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts                                                                                                                           
Entering non-interactive startup                                                                                                                                                                        
ip6tables: Applying firewall rules: NET: Registered protocol family 10                                                                                                                                  
lo: Disabled Privacy Extensions                                                                                                                                                                         
ip6_tables: (C) 2000-2006 Netfilter Core Team                                                                                                                                                           
[  OK  ]                                                                                                                                                                                                
iptables: Applying firewall rules: [  OK  ]                                                                                                                                                             
Starting system logger: [  OK  ]                                                                                                                                                                        
Starting system message bus: end_request: I/O error, dev xvda, sector 9053609                                                                                                                           
JBD: barrier-based sync failed on dm-0:8 - disabling barriers                                                                                                                                           
[  OK  ]                                                                                                                                                                                                
Starting exim: [  OK  ]                                                                                                                                                                                 
[  OK  ] crond: [  OK  ]                                                                                                                                                                                
------------[ cut here ]------------                                                                                                                                                                    
kernel BUG at mm/filemap.c:123!                                                                                                                                                                         
invalid opcode: 0000 [#2] SMP DEBUG_PAGEALLOC                                                                                                                                                           
last sysfs file: /sys/devices/virtual/block/dm-1/dev                                                                                                                                                    
CPU 0                                                                                                                                                                                                   
Modules linked in: ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 xen_netfront pcspkr xen_blkfront ext4 jbd2 crc16                                                                       
Pid: 565, comm: plymouthd Tainted: G    B D W  2.6.29-0.66.rc3.fc11.x86_64 #1                                                                                                                           
RIP: e030:[<ffffffff810a8b9e>]  [<ffffffff810a8b9e>] __remove_from_page_cache+0x40/0xde                                                                                                                 
RSP: e02b:ffff88007ddfdb98  EFLAGS: 00010046                                                                                                                                                            
RAX: 0000000000000000 RBX: ffffe200033369a0 RCX: ffff88007f86b50a                                                                                                                                       
RDX: 0000000000000001 RSI: 0000000000000009 RDI: ffff880000009700                                                                                                                                       
RBP: ffff88007ddfdba8 R08: 0000000000000009 R09: ffff88007fc010c8                                                                                                                                       
R10: ffffffff81087cc0 R11: ffff88007f86b6e0 R12: ffff88007f8732a8                                                                                                                                       
R13: 0000000000000017 R14: 0000000000000009 R15: ffff88007ddfdc90                                                                                                                                       
FS:  00007fb4a45ff6f0(0000) GS:ffffffff81934000(0000) knlGS:0000000000000000                                                                                                                            
CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033                                                                                                                                                       
CR2: 00007fb4a460215d CR3: 0000000001001000 CR4: 0000000000000660                                                                                                                                       
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000                                                                                                                                       
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000000                                                                                                                                       
Process plymouthd (pid: 565, threadinfo ffff88007ddfc000, task ffff88007f724720)                                                                                                                        
Stack:                                                                                                                                                                                                  
 ffff88007f8732c0 ffffe200033369a0 ffff88007ddfdbc8 ffffffff810a8c67                                                                                                                                    
 ffffe200033369a0 0000000000000017 ffff88007ddfdbe8 ffffffff810b0b27                                                                                                                                    
 0000000000000009 ffffe200033369a0 ffff88007ddfdce8 ffffffff810b0c2b                                                                                                                                    
Call Trace:                                                                                                                                                                                             
 [<ffffffff810a8c67>] remove_from_page_cache+0x2b/0x38                                                                                                                                                  
 [<ffffffff810b0b27>] truncate_complete_page+0x4c/0x61                                                                                                                                                  
 [<ffffffff810b0c2b>] truncate_inode_pages_range+0xef/0x36e                                                                                                                                             
 [<ffffffff8102ad8c>] ? pvclock_clocksource_read+0x42/0x7e                                                                                                                                              
 [<ffffffff810b0eb7>] truncate_inode_pages+0xd/0x12                                                                                                                                                     
 [<ffffffff810f0ddb>] generic_delete_inode+0xdc/0x165
 [<ffffffff810f0022>] iput+0x61/0x65
 [<ffffffff810ed41e>] dentry_iput+0xa9/0xc1
 [<ffffffff810ed4ff>] d_kill+0x24/0x45
 [<ffffffff810ef2ca>] dput+0x137/0x144
 [<ffffffff810dfd0a>] __fput+0x172/0x197
 [<ffffffff810dfd47>] fput+0x18/0x1a
 [<ffffffff810c0ae1>] remove_vma+0x4f/0x85
 [<ffffffff810c0c32>] exit_mmap+0x11b/0x13d
 [<ffffffff8104800f>] mmput+0x45/0xa4
 [<ffffffff8104bf97>] exit_mm+0x114/0x120
 [<ffffffff8104dc12>] do_exit+0x1da/0x8b4
 [<ffffffff8106ef5b>] ? lock_acquired+0x29e/0x2ae
 [<ffffffff81383f20>] ? error_sti+0x5/0x6
 [<ffffffff8106c6a7>] ? trace_hardirqs_off_caller+0x1f/0xac
 [<ffffffff81011eef>] ? retint_swapgs+0x2d/0x4f
 [<ffffffff8104e36b>] do_group_exit+0x7f/0xaf
 [<ffffffff8104e3ad>] sys_exit_group+0x12/0x16
 [<ffffffff810112ba>] system_call_fastpath+0x16/0x1b
Code: 24 08 e8 3a ad 0e 00 48 c7 43 18 00 00 00 00 49
Fedora release 10.91 (Rawhide)
Kernel 2.6.29-0.66.rc3.fc11.x86_64 on an x86_64 (/dev/hvc0)

asterisk2.fedoraproject.org login:
Comment 1 Mike McGrath 2009-02-05 17:43:52 EST
After the box comes up, and after doing a service network restart, the host seems like its in ok shape.  I'm going to try actually using it.
Comment 2 Mark McLoughlin 2009-02-06 03:53:00 EST
Thanks, posted the oops to xen-devel
Comment 3 Mark McLoughlin 2009-02-06 04:34:00 EST
(In reply to comment #2)
> Thanks, posted the oops to xen-devel

here:

  http://lists.xensource.com/archives/html/xen-devel/2009-02/msg00196.html
Comment 4 Mark McLoughlin 2009-02-06 11:45:13 EST
Removing from the F11Alpha blockers list, adding to F11VirtTracker
Comment 5 john ross porter 2009-02-06 15:06:10 EST
(Trying to) boot F11-Aplha-i686-Live but I am left with w/final message "Fixing recursive fault but reboot is needed!"
Getting (only) as far as seeing load graphic fill across bottom of screen then OOPS.   :(
Any options available?  Magic key press during initial countdown, maybe?  Someplace, when back in F10, to look at trace?
Comment 6 Michael Young 2009-02-09 07:45:31 EST
This bug killed an attempted update from Fedora 10 to Fedora 11, so it is more serious than just an ugly boot message.

Oops: 0000 [#1] SMP DEBUG_PAGEALLOC
last sysfs file: /sys/devices/vbd-768/block/xvda/devcts   |  <F12> next screen
Modules linked in: xts lrw gf128mul sha256_generic cbc dm_crypt dm_round_robin dm_multipath btrfs zlib_deflate libcrc32c xfs exportfs jfs reiserfs gfs2 msdos linear raid10 raid456 async_xor async_memcpy async_tx xor raid1 raid0 xen_netfront xen_blkfront iscsi_ibft iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ext2 ext4 jbd2 crc16 squashfs pcspkr nfs lockd nfs_acl auth_rpcgss sunrpc vfat fat cramfs

Pid: 1144, comm: lvm Tainted: G        W  (2.6.29-0.66.rc3.fc11.i686.PAE #1)
EIP: 0061:[<c04a2a42>] EFLAGS: 00010246 CPU: 0
EIP is at grab_swap_token+0x1f/0x105
EAX: 00000000 EBX: 00000001 ECX: c0484635 EDX: 00000001
ESI: 00000000 EDI: 00000000 EBP: c824bc98 ESP: c824bc90
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0069
Process lvm (pid: 1144, ti=c824b000 task=c0142a40 task.ti=c824b000)
Stack:
 00267020 00000000 c824bd18 c04967c8 c824bcd8 00181000 cf6bbe58 cd011500
 00267020 00000000 00000c08 cce75000 cd166c08 00000001 00000000 c824bcd8
 c05484f8 c32593f4 c824bce4 c04267ed cd166000 c824bd1c c0495637 0d166067
Call Trace:
 [<c04967c8>] ? handle_mm_fault+0x3ae/0x7dd
 [<c05484f8>] ? _raw_spin_unlock+0x74/0x78
 [<c04267ed>] ? kunmap_atomic+0x68/0x84
 [<c0495637>] ? follow_page+0x273/0x2cc
 [<c0496e8b>] ? __get_user_pages+0x294/0x377
 [<c049898a>] ? __mlock_vma_pages_range+0xaa/0x1dc
 [<c0498fba>] ? munlock_vma_pages_range+0x11/0x14
 [<c04999e7>] ? exit_mmap+0x4e/0x111
 [<c042fcb5>] ? __might_sleep+0x1e/0xef
 [<c0433e6d>] ? mmput+0x3c/0x8f
 [<c04374c0>] ? exit_mm+0xe5/0xed
 [<c0438de1>] ? do_exit+0x18d/0x75a
 [<c0406063>] ? xen_force_evtchn_callback+0xf/0x14
 [<c0441e47>] ? get_signal_to_deliver+0x1d6/0x296
 [<c04067be>] ? check_events+0x8/0xe
 [<c0441e47>] ? get_signal_to_deliver+0x1d6/0x296
 [<c0406727>] ? xen_restore_fl_direct_end+0x0/0x1
 [<c043940c>] ? do_group_exit+0x5e/0x85
 [<c0441ef0>] ? get_signal_to_deliver+0x27f/0x296
 [<c0496e66>] ? __get_user_pages+0x26f/0x377
 [<c0408351>] ? do_notify_resume+0x69/0x629
 [<c0406063>] ? xen_force_evtchn_callback+0xf/0x14
 [<c04067be>] ? check_events+0x8/0xe
 [<c06efb7b>] ? down_write+0x4f/0x74
 [<c0406727>] ? xen_restore_fl_direct_end+0x0/0x1
 [<c0456457>] ? lock_acquired+0x2b7/0x2c1
 [<c06efb7b>] ? down_write+0x4f/0x74
 [<c0406063>] ? xen_force_evtchn_callback+0xf/0x14
 [<c0498dcf>] ? sys_mlockall+0x9d/0xaa
 [<c04067be>] ? check_events+0x8/0xe
 [<c04b466c>] ? path_put+0x15/0x18
 [<c04540cf>] ? trace_hardirqs_off_caller+0x18/0xa3
 [<c0409078>] ? work_notifysig+0x13/0x1b
Code: 68 cf 85 c0 e8 04 df 24 00 5b 5d c3 a1 80 c2 ef c0 55 89 e5 56 53 8d 58 01 89 1d 80 c2 ef c0 64 a1 80 8c 92 c0 8b 80 c0 01 00 00 <8b> b0 18 02 00 00 b8 68 cf 85 c0 e8 1e dc 24 00 85 c0 0f 84 c7
EIP: [<c04a2a42>] grab_swap_token+0x1f/0x105 SS:ESP 0069:c824bc90
---[ end trace 4eaa2a86a8e2da24 ]---
Fixing recursive fault but reboot is needed!
install exited abnormally [1/1]
Comment 8 Michael Young 2009-02-11 17:19:44 EST
If I am following this
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=9ce04f9238cafcfd09a502f2bc8c13b5f44ec590
correctly, the patch will be in 2.6.29-rc4-git4.
Comment 9 Mark McLoughlin 2009-02-12 03:43:37 EST
(In reply to comment #8)
> the patch will be in 2.6.29-rc4-git4.

Confirmed by comparing:

$ git log --pretty=oneline $(curl http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.29-rc4-git4.id 2>/dev/null)..b534816b552d35bbd3c60702139ed5c7da2f55c2

$ git log --pretty=oneline $(curl http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.29-rc4-git3.id 2>/dev/null)..b534816b552d35bbd3c60702139ed5c7da2f55c2

i.e. it isn't in git3, but is in git4
Comment 10 Kyle McMartin 2009-02-24 20:00:41 EST
Does the fact that it's in -rc4-git4 mean it's fixed and the bug can be closed?
Comment 11 Mark McLoughlin 2009-02-25 05:31:24 EST
(In reply to comment #10)
> Does the fact that it's in -rc4-git4 mean it's fixed and the bug can be closed?

Yep, at the time -git4 wasn't in rawhide
Comment 12 Michael Young 2009-02-25 05:44:50 EST
I haven't managed to get recent kernels to boot at all as a xen guest, but that is presumably a different bug.
Comment 13 Michael Young 2009-02-25 08:19:22 EST
It turns out my problem with booting was simply that xen-blkfront wasn't being loaded, so the xen guest is now working correctly for me.

Note You need to log in before you can comment on or make changes to this bug.